<?php
/**
*
* @package empennage: Add code and content to the top/bottom of pages
* @copyright (c) 2014 c61 c61@yandex.ru http://c61.su
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

namespace c61\empennage\migrations\v0xx;

class empennage_v_0_1_2 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['empennage_version']) && version_compare($this->config['empennage_version'], '0.1.2', '>=');
	}

	static public function depends_on()
	{
			return array('\phpbb\db\migration\data\v310\dev');
	}

	public function update_schema()
	{
		return array(
		);
	}

	public function revert_schema()
	{
		return array(
		);
	}

	public function update_data()
	{
		return array(
			// Current version
			array('config.add', array('empennage_version', '0.1.2')),

			// Add configs
			array('config.add', array('empennage_content_header_stylesheet_after_on', '0')),
			array('config_text.add', array('empennage_content_header_stylesheet_after', '')),

			array('config.add', array('empennage_content_header_content_before_on', '0')),
			array('config.add', array('empennage_content_header_content_before_for_bots', '1')),
			array('config.add', array('empennage_content_header_content_before_for_guests', '1')),
			array('config.add', array('empennage_content_header_content_before_for_users', '1')),
			array('config_text.add', array('empennage_content_header_content_before_for_url_mask', '')),
			array('config_text.add', array('empennage_content_header_content_before' ,'')),

			array('config.add', array('empennage_content_copyright_append_on', '1')),
			array('config_text.add', array('empennage_content_copyright_append', '')),

			array('config.add', array('empennage_content_footer_after_on', '1')),
			array('config_text.add', array('empennage_content_footer_after', '')),

			array('config.add', array('empennage_content_footer_body_after_on', '0')),
			array('config_text.add', array('empennage_content_footer_body_after', '')),

			array('config.add', array('empennage_debug', '1')),
			array('config.add', array('empennage_allow_php', '0')),

			// Add ACP modules
			array('module.add', array('acp', 'ACP_CAT_DOT_MODS', 'ACP_EMPENNAGE')),
			array('module.add', array('acp', 'ACP_EMPENNAGE', array(
					'module_basename'	=> '\c61\empennage\acp\empennage_module',
					'module_langname'	=> 'ACP_EMPENNAGE_EXPLAIN',
					'module_mode'		=> 'config_empennage',
					'module_auth'		=> 'acl_a_empennage',
			))),
			
			// Add permissions
			array('permission.add', array('a_empennage', true)),

			// Set permissions
			array('permission.permission_set', array('ROLE_ADMIN_FULL', 'a_empennage')),
		);
	}

}